Bug 975087 - sfcbd process SEGV on openlmi lmiusers request
sfcbd process SEGV on openlmi lmiusers request
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: sblim-sfcb (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 11:41 EDT by Roman Rakus
Modified: 2016-03-29 07:23 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 973233
Environment:
Last Closed: 2016-03-29 07:23:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2013-06-17 11:41:40 EDT
+++ This bug was initially created as a clone of Bug #973233 +++

% rpm -qa openlmi\*
openlmi-indicationmanager-libs-0.0.25-1.fc20.x86_64
openlmi-storage-0.5.1-1.fc20.noarch
openlmi-providers-devel-0.0.25-1.fc20.x86_64
openlmi-logicalfile-0.0.25-1.fc20.x86_64
openlmi-software-0.0.25-1.fc20.noarch
openlmi-tools-0.5-3.fc20.noarch
openlmi-powermanagement-0.0.25-1.fc20.x86_64
openlmi-service-0.0.25-1.fc20.x86_64
openlmi-providers-0.0.25-1.fc20.x86_64
openlmi-hardware-0.0.25-1.fc20.x86_64
openlmi-realmd-0.0.25-1.fc20.x86_64
openlmi-fan-0.0.25-1.fc20.x86_64
openlmi-networking-debuginfo-0.0.8-1.fc20.x86_64
openlmi-account-0.0.25-1.fc20.x86_64
openlmi-providers-debuginfo-0.0.25-1.fc20.x86_64
openlmi-python-0.0.25-1.fc20.noarch
openlmi-indicationmanager-libs-devel-0.0.25-1.fc20.x86_64
openlmi-networking-0.0.8-1.fc20.x86_64

% lmiuser -h localhost -u root -p SOMETHING list-users
SEGV in sfcbd

See also bug #972002

--- Additional comment from Roman Rakus on 2013-06-17 09:28:23 EDT ---

I can reproduce it. Using yawn there isn't any class visible under root/cimv2. Calling any query across account provider ends in segfault.
Maybe it is bad registration or something. Reinstalling openlmi-account didn't help.

side note: lmiuser and other scripts are not directly included in any package, it is directly from openlmi-tools git repo and is no longer supported/developed.
Comment 1 Roman Rakus 2013-06-17 11:44:00 EDT
In file providerDrv.c, starting from line 2089:
      if (qs->allProps) {                                                       
         CMPIConstClass *cc = getConstClass(CMGetNameSpace(qs->cop,NULL)->hdl,  
           CMGetClassName(qs->cop,NULL)->hdl);                                  
         kar=cc->ft->getKeyList(cc);                                            
      }                                                                         

when getConstClass returns NULL, the cc->ft segfaults. Probably the return value should be checked.
Comment 2 Fedora End Of Life 2013-09-16 10:12:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Jan Kurik 2015-07-15 10:47:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 5 Vitezslav Crhonek 2016-03-29 07:23:07 EDT
Not reproducible anymore, hovewer, I've reported it upstream some time ago, see:
https://sourceforge.net/p/sblim/sfcb-tix/111/

Note You need to log in before you can comment on or make changes to this bug.